Get a paginated list of the Machine Policies in the supplied Octopus Deploy Space. The results will be sorted alphabetically by name
GET /api
Also reachable at /api, /api.
Path Parameters
spaceIdstring (required)
The ID of the space containing the resource(s).
Query Parameters
idsarray of string
Specific machine policy IDs to filter out.partialNamestring
A partial machine policy name used for a sub-string search.skipinteger
Number of items to skip. Defaults to zero. Minimum0.takeinteger
Number of items to take. Defaults to 30. Minimum0.
Response
200 — A paginated list of the Machine Policies in the supplied Octopus Deploy Space (sorted alphabetically by name).
Idstring
Gets or sets a unique identifier for this resource.ItemTypestringItemsarray of objectConnectionConnectTimeoutstring
Formatdate-span.ConnectionRetryCountLimitintegerConnectionRetrySleepIntervalstring
Formatdate-span.ConnectionRetryTimeLimitstring
Formatdate-span.DescriptionstringIdstring
Gets or sets a unique identifier for this resource.IsDefaultbooleanLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.MachineCleanupPolicyobjectMachineConnectivityPolicyobjectMachineHealthCheckPolicyobjectMachinePackageCacheRetentionPolicyobjectMachineRpcCallRetryPolicyobjectMachineUpdatePolicyobjectNamestringPollingRequestQueueTimeoutstring
Formatdate-span.SpaceIdstring
ItemsPerPageintegerLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.LastPageNumberintegerLinksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NumberOfPagesintegerTotalResultsinteger
Example Response
{
"Id": "string",
"ItemType": "string",
"Items": [
{
"ConnectionConnectTimeout": "string",
"ConnectionRetryCountLimit": 0,
"ConnectionRetrySleepInterval": "string",
"ConnectionRetryTimeLimit": "string",
"Description": "string",
"Id": "string",
"IsDefault": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"MachineCleanupPolicy": {
"DeleteMachinesBehavior": "DoNotDelete",
"DeleteMachinesElapsedTimeSpan": "string"
},
"MachineConnectivityPolicy": {
"MachineConnectivityBehavior": "ExpectedToBeOnline"
},
"MachineHealthCheckPolicy": {
"BashHealthCheckPolicy": {},
"HealthCheckCron": "string",
"HealthCheckCronTimezone": "string",
"HealthCheckInterval": "string",
"HealthCheckType": "RunScript",
"PowerShellHealthCheckPolicy": {}
},
"MachinePackageCacheRetentionPolicy": {
"PackageUnit": "Items",
"QuantityOfPackagesToKeep": 0,
"QuantityOfVersionsToKeep": 0,
"Strategy": "Default",
"VersionUnit": "Items"
},
"MachineRpcCallRetryPolicy": {
"Enabled": true,
"HealthCheckRetryDuration": "string",
"RetryDuration": "string"
},
"MachineUpdatePolicy": {
"CalamariUpdateBehavior": "UpdateOnDeployment",
"KubernetesAgentUpdateBehavior": "NeverUpdate",
"TentacleUpdateAccountId": "string",
"TentacleUpdateBehavior": "NeverUpdate"
},
"Name": "string",
"PollingRequestQueueTimeout": "string",
"SpaceId": "Spaces-1"
}
],
"ItemsPerPage": 0,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"LastPageNumber": 0,
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"NumberOfPages": 0,
"TotalResults": 0
}Create a new Machine Policy
POST /api
Also reachable at /api, /api.
Path Parameters
spaceIdstring (required)
Request Body
ConnectionConnectTimeoutstring
Formatdate-span.ConnectionRetryCountLimitintegerConnectionRetrySleepIntervalstring
Formatdate-span.ConnectionRetryTimeLimitstring
Formatdate-span.DescriptionstringIsDefaultbooleanMachineCleanupPolicyobjectDeleteMachinesBehaviorenum
Allowed values:DoNotDelete,DeleteUnavailableMachines.DeleteMachinesElapsedTimeSpanstring
Formatdate-span.
MachineConnectivityPolicyobjectMachineConnectivityBehaviorenum
Allowed values:ExpectedToBeOnline,MayBeOfflineAndCanBeSkipped.
MachineHealthCheckPolicyobjectBashHealthCheckPolicyobjectHealthCheckCronstringHealthCheckCronTimezonestringHealthCheckIntervalstring
Formatdate-span.HealthCheckTypeenum
Allowed values:RunScript,OnlyConnectivity.PowerShellHealthCheckPolicyobject
MachinePackageCacheRetentionPolicyobjectPackageUnitenum
Allowed values:Items.QuantityOfPackagesToKeepintegerQuantityOfVersionsToKeepintegerStrategyenum
Allowed values:Default,Quantities.VersionUnitenum
Allowed values:Items.
MachineRpcCallRetryPolicyobjectEnabledbooleanHealthCheckRetryDurationstring
Formatdate-span.RetryDurationstring
Formatdate-span.
MachineUpdatePolicyobjectCalamariUpdateBehaviorenum
Allowed values:UpdateOnDeployment,UpdateOnNewMachine,UpdateAlways.KubernetesAgentUpdateBehaviorenum
Allowed values:NeverUpdate,Update,Block.TentacleUpdateAccountIdstringTentacleUpdateBehaviorenum
Allowed values:NeverUpdate,Update.
Namestring (required)
Minimum length 1.PollingRequestQueueTimeoutstring
Formatdate-span.SpaceIdstring (required)
Response
201 — Created
ConnectionConnectTimeoutstring
Formatdate-span.ConnectionRetryCountLimitintegerConnectionRetrySleepIntervalstring
Formatdate-span.ConnectionRetryTimeLimitstring
Formatdate-span.DescriptionstringIdstring
Gets or sets a unique identifier for this resource.IsDefaultbooleanLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.MachineCleanupPolicyobjectDeleteMachinesBehaviorenum
Allowed values:DoNotDelete,DeleteUnavailableMachines.DeleteMachinesElapsedTimeSpanstring
Formatdate-span.
MachineConnectivityPolicyobjectMachineConnectivityBehaviorenum
Allowed values:ExpectedToBeOnline,MayBeOfflineAndCanBeSkipped.
MachineHealthCheckPolicyobjectBashHealthCheckPolicyobjectHealthCheckCronstringHealthCheckCronTimezonestringHealthCheckIntervalstring
Formatdate-span.HealthCheckTypeenum
Allowed values:RunScript,OnlyConnectivity.PowerShellHealthCheckPolicyobject
MachinePackageCacheRetentionPolicyobjectPackageUnitenum
Allowed values:Items.QuantityOfPackagesToKeepintegerQuantityOfVersionsToKeepintegerStrategyenum
Allowed values:Default,Quantities.VersionUnitenum
Allowed values:Items.
MachineRpcCallRetryPolicyobjectEnabledbooleanHealthCheckRetryDurationstring
Formatdate-span.RetryDurationstring
Formatdate-span.
MachineUpdatePolicyobjectCalamariUpdateBehaviorenum
Allowed values:UpdateOnDeployment,UpdateOnNewMachine,UpdateAlways.KubernetesAgentUpdateBehaviorenum
Allowed values:NeverUpdate,Update,Block.TentacleUpdateAccountIdstringTentacleUpdateBehaviorenum
Allowed values:NeverUpdate,Update.
NamestringPollingRequestQueueTimeoutstring
Formatdate-span.SpaceIdstring
Example Request
{
"ConnectionConnectTimeout": "string",
"ConnectionRetryCountLimit": 0,
"ConnectionRetrySleepInterval": "string",
"ConnectionRetryTimeLimit": "string",
"Description": "string",
"IsDefault": true,
"MachineCleanupPolicy": {
"DeleteMachinesBehavior": "DoNotDelete",
"DeleteMachinesElapsedTimeSpan": "string"
},
"MachineConnectivityPolicy": {
"MachineConnectivityBehavior": "ExpectedToBeOnline"
},
"MachineHealthCheckPolicy": {
"BashHealthCheckPolicy": {
"RunType": "InheritFromDefault",
"ScriptBody": "string"
},
"HealthCheckCron": "string",
"HealthCheckCronTimezone": "string",
"HealthCheckInterval": "string",
"HealthCheckType": "RunScript",
"PowerShellHealthCheckPolicy": {
"RunType": "InheritFromDefault",
"ScriptBody": "string"
}
},
"MachinePackageCacheRetentionPolicy": {
"PackageUnit": "Items",
"QuantityOfPackagesToKeep": 0,
"QuantityOfVersionsToKeep": 0,
"Strategy": "Default",
"VersionUnit": "Items"
},
"MachineRpcCallRetryPolicy": {
"Enabled": true,
"HealthCheckRetryDuration": "string",
"RetryDuration": "string"
},
"MachineUpdatePolicy": {
"CalamariUpdateBehavior": "UpdateOnDeployment",
"KubernetesAgentUpdateBehavior": "NeverUpdate",
"TentacleUpdateAccountId": "string",
"TentacleUpdateBehavior": "NeverUpdate"
},
"Name": "string",
"PollingRequestQueueTimeout": "string",
"SpaceId": "Spaces-1"
}Example Response
{
"ConnectionConnectTimeout": "string",
"ConnectionRetryCountLimit": 0,
"ConnectionRetrySleepInterval": "string",
"ConnectionRetryTimeLimit": "string",
"Description": "string",
"Id": "string",
"IsDefault": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"MachineCleanupPolicy": {
"DeleteMachinesBehavior": "DoNotDelete",
"DeleteMachinesElapsedTimeSpan": "string"
},
"MachineConnectivityPolicy": {
"MachineConnectivityBehavior": "ExpectedToBeOnline"
},
"MachineHealthCheckPolicy": {
"BashHealthCheckPolicy": {
"RunType": "InheritFromDefault",
"ScriptBody": "string"
},
"HealthCheckCron": "string",
"HealthCheckCronTimezone": "string",
"HealthCheckInterval": "string",
"HealthCheckType": "RunScript",
"PowerShellHealthCheckPolicy": {
"RunType": "InheritFromDefault",
"ScriptBody": "string"
}
},
"MachinePackageCacheRetentionPolicy": {
"PackageUnit": "Items",
"QuantityOfPackagesToKeep": 0,
"QuantityOfVersionsToKeep": 0,
"Strategy": "Default",
"VersionUnit": "Items"
},
"MachineRpcCallRetryPolicy": {
"Enabled": true,
"HealthCheckRetryDuration": "string",
"RetryDuration": "string"
},
"MachineUpdatePolicy": {
"CalamariUpdateBehavior": "UpdateOnDeployment",
"KubernetesAgentUpdateBehavior": "NeverUpdate",
"TentacleUpdateAccountId": "string",
"TentacleUpdateBehavior": "NeverUpdate"
},
"Name": "string",
"PollingRequestQueueTimeout": "string",
"SpaceId": "Spaces-1"
}Get a list of Machine Policies
GET /api
Also reachable at /api, /api.
Path Parameters
spaceIdstring (required)
Response
200 — All the Machine Policies in the supplied Octopus Deploy Space.
ConnectionConnectTimeoutstring
Formatdate-span.ConnectionRetryCountLimitintegerConnectionRetrySleepIntervalstring
Formatdate-span.ConnectionRetryTimeLimitstring
Formatdate-span.DescriptionstringIdstring
Gets or sets a unique identifier for this resource.IsDefaultbooleanLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.MachineCleanupPolicyobjectDeleteMachinesBehaviorenum
Allowed values:DoNotDelete,DeleteUnavailableMachines.DeleteMachinesElapsedTimeSpanstring
Formatdate-span.
MachineConnectivityPolicyobjectMachineConnectivityBehaviorenum
Allowed values:ExpectedToBeOnline,MayBeOfflineAndCanBeSkipped.
MachineHealthCheckPolicyobjectBashHealthCheckPolicyobjectHealthCheckCronstringHealthCheckCronTimezonestringHealthCheckIntervalstring
Formatdate-span.HealthCheckTypeenum
Allowed values:RunScript,OnlyConnectivity.PowerShellHealthCheckPolicyobject
MachinePackageCacheRetentionPolicyobjectPackageUnitenum
Allowed values:Items.QuantityOfPackagesToKeepintegerQuantityOfVersionsToKeepintegerStrategyenum
Allowed values:Default,Quantities.VersionUnitenum
Allowed values:Items.
MachineRpcCallRetryPolicyobjectEnabledbooleanHealthCheckRetryDurationstring
Formatdate-span.RetryDurationstring
Formatdate-span.
MachineUpdatePolicyobjectCalamariUpdateBehaviorenum
Allowed values:UpdateOnDeployment,UpdateOnNewMachine,UpdateAlways.KubernetesAgentUpdateBehaviorenum
Allowed values:NeverUpdate,Update,Block.TentacleUpdateAccountIdstringTentacleUpdateBehaviorenum
Allowed values:NeverUpdate,Update.
NamestringPollingRequestQueueTimeoutstring
Formatdate-span.SpaceIdstring
Example Response
[
{
"ConnectionConnectTimeout": "string",
"ConnectionRetryCountLimit": 0,
"ConnectionRetrySleepInterval": "string",
"ConnectionRetryTimeLimit": "string",
"Description": "string",
"Id": "string",
"IsDefault": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"MachineCleanupPolicy": {
"DeleteMachinesBehavior": "DoNotDelete",
"DeleteMachinesElapsedTimeSpan": "string"
},
"MachineConnectivityPolicy": {
"MachineConnectivityBehavior": "ExpectedToBeOnline"
},
"MachineHealthCheckPolicy": {
"BashHealthCheckPolicy": {
"RunType": "InheritFromDefault",
"ScriptBody": "string"
},
"HealthCheckCron": "string",
"HealthCheckCronTimezone": "string",
"HealthCheckInterval": "string",
"HealthCheckType": "RunScript",
"PowerShellHealthCheckPolicy": {
"RunType": "InheritFromDefault",
"ScriptBody": "string"
}
},
"MachinePackageCacheRetentionPolicy": {
"PackageUnit": "Items",
"QuantityOfPackagesToKeep": 0,
"QuantityOfVersionsToKeep": 0,
"Strategy": "Default",
"VersionUnit": "Items"
},
"MachineRpcCallRetryPolicy": {
"Enabled": true,
"HealthCheckRetryDuration": "string",
"RetryDuration": "string"
},
"MachineUpdatePolicy": {
"CalamariUpdateBehavior": "UpdateOnDeployment",
"KubernetesAgentUpdateBehavior": "NeverUpdate",
"TentacleUpdateAccountId": "string",
"TentacleUpdateBehavior": "NeverUpdate"
},
"Name": "string",
"PollingRequestQueueTimeout": "string",
"SpaceId": "Spaces-1"
}
]Get a template for a new Machine Policy, which includes any defaults
GET /api
Also reachable at /api, /api.
Path Parameters
spaceIdstring (required)
Response
200 — The requested Machine Policy Template
ConnectionConnectTimeoutstring
Formatdate-span.ConnectionRetryCountLimitintegerConnectionRetrySleepIntervalstring
Formatdate-span.ConnectionRetryTimeLimitstring
Formatdate-span.DescriptionstringIdstring
Gets or sets a unique identifier for this resource.IsDefaultbooleanLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.MachineCleanupPolicyobjectDeleteMachinesBehaviorenum
Allowed values:DoNotDelete,DeleteUnavailableMachines.DeleteMachinesElapsedTimeSpanstring
Formatdate-span.
MachineConnectivityPolicyobjectMachineConnectivityBehaviorenum
Allowed values:ExpectedToBeOnline,MayBeOfflineAndCanBeSkipped.
MachineHealthCheckPolicyobjectBashHealthCheckPolicyobjectHealthCheckCronstringHealthCheckCronTimezonestringHealthCheckIntervalstring
Formatdate-span.HealthCheckTypeenum
Allowed values:RunScript,OnlyConnectivity.PowerShellHealthCheckPolicyobject
MachinePackageCacheRetentionPolicyobjectPackageUnitenum
Allowed values:Items.QuantityOfPackagesToKeepintegerQuantityOfVersionsToKeepintegerStrategyenum
Allowed values:Default,Quantities.VersionUnitenum
Allowed values:Items.
MachineRpcCallRetryPolicyobjectEnabledbooleanHealthCheckRetryDurationstring
Formatdate-span.RetryDurationstring
Formatdate-span.
MachineUpdatePolicyobjectCalamariUpdateBehaviorenum
Allowed values:UpdateOnDeployment,UpdateOnNewMachine,UpdateAlways.KubernetesAgentUpdateBehaviorenum
Allowed values:NeverUpdate,Update,Block.TentacleUpdateAccountIdstringTentacleUpdateBehaviorenum
Allowed values:NeverUpdate,Update.
NamestringPollingRequestQueueTimeoutstring
Formatdate-span.SpaceIdstring
Example Response
{
"ConnectionConnectTimeout": "string",
"ConnectionRetryCountLimit": 0,
"ConnectionRetrySleepInterval": "string",
"ConnectionRetryTimeLimit": "string",
"Description": "string",
"Id": "string",
"IsDefault": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"MachineCleanupPolicy": {
"DeleteMachinesBehavior": "DoNotDelete",
"DeleteMachinesElapsedTimeSpan": "string"
},
"MachineConnectivityPolicy": {
"MachineConnectivityBehavior": "ExpectedToBeOnline"
},
"MachineHealthCheckPolicy": {
"BashHealthCheckPolicy": {
"RunType": "InheritFromDefault",
"ScriptBody": "string"
},
"HealthCheckCron": "string",
"HealthCheckCronTimezone": "string",
"HealthCheckInterval": "string",
"HealthCheckType": "RunScript",
"PowerShellHealthCheckPolicy": {
"RunType": "InheritFromDefault",
"ScriptBody": "string"
}
},
"MachinePackageCacheRetentionPolicy": {
"PackageUnit": "Items",
"QuantityOfPackagesToKeep": 0,
"QuantityOfVersionsToKeep": 0,
"Strategy": "Default",
"VersionUnit": "Items"
},
"MachineRpcCallRetryPolicy": {
"Enabled": true,
"HealthCheckRetryDuration": "string",
"RetryDuration": "string"
},
"MachineUpdatePolicy": {
"CalamariUpdateBehavior": "UpdateOnDeployment",
"KubernetesAgentUpdateBehavior": "NeverUpdate",
"TentacleUpdateAccountId": "string",
"TentacleUpdateBehavior": "NeverUpdate"
},
"Name": "string",
"PollingRequestQueueTimeout": "string",
"SpaceId": "Spaces-1"
}Get a Machine Policy by ID
GET /api
Also reachable at /api, /api.
Path Parameters
idstring (required)
ID of the Machine Policy.spaceIdstring (required)
The ID of the space containing the resource(s).
Response
200 — The requested machine policy
ConnectionConnectTimeoutstring
Formatdate-span.ConnectionRetryCountLimitintegerConnectionRetrySleepIntervalstring
Formatdate-span.ConnectionRetryTimeLimitstring
Formatdate-span.DescriptionstringIdstring
Gets or sets a unique identifier for this resource.IsDefaultbooleanLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.MachineCleanupPolicyobjectDeleteMachinesBehaviorenum
Allowed values:DoNotDelete,DeleteUnavailableMachines.DeleteMachinesElapsedTimeSpanstring
Formatdate-span.
MachineConnectivityPolicyobjectMachineConnectivityBehaviorenum
Allowed values:ExpectedToBeOnline,MayBeOfflineAndCanBeSkipped.
MachineHealthCheckPolicyobjectBashHealthCheckPolicyobjectHealthCheckCronstringHealthCheckCronTimezonestringHealthCheckIntervalstring
Formatdate-span.HealthCheckTypeenum
Allowed values:RunScript,OnlyConnectivity.PowerShellHealthCheckPolicyobject
MachinePackageCacheRetentionPolicyobjectPackageUnitenum
Allowed values:Items.QuantityOfPackagesToKeepintegerQuantityOfVersionsToKeepintegerStrategyenum
Allowed values:Default,Quantities.VersionUnitenum
Allowed values:Items.
MachineRpcCallRetryPolicyobjectEnabledbooleanHealthCheckRetryDurationstring
Formatdate-span.RetryDurationstring
Formatdate-span.
MachineUpdatePolicyobjectCalamariUpdateBehaviorenum
Allowed values:UpdateOnDeployment,UpdateOnNewMachine,UpdateAlways.KubernetesAgentUpdateBehaviorenum
Allowed values:NeverUpdate,Update,Block.TentacleUpdateAccountIdstringTentacleUpdateBehaviorenum
Allowed values:NeverUpdate,Update.
NamestringPollingRequestQueueTimeoutstring
Formatdate-span.SpaceIdstring
Example Response
{
"ConnectionConnectTimeout": "string",
"ConnectionRetryCountLimit": 0,
"ConnectionRetrySleepInterval": "string",
"ConnectionRetryTimeLimit": "string",
"Description": "string",
"Id": "string",
"IsDefault": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"MachineCleanupPolicy": {
"DeleteMachinesBehavior": "DoNotDelete",
"DeleteMachinesElapsedTimeSpan": "string"
},
"MachineConnectivityPolicy": {
"MachineConnectivityBehavior": "ExpectedToBeOnline"
},
"MachineHealthCheckPolicy": {
"BashHealthCheckPolicy": {
"RunType": "InheritFromDefault",
"ScriptBody": "string"
},
"HealthCheckCron": "string",
"HealthCheckCronTimezone": "string",
"HealthCheckInterval": "string",
"HealthCheckType": "RunScript",
"PowerShellHealthCheckPolicy": {
"RunType": "InheritFromDefault",
"ScriptBody": "string"
}
},
"MachinePackageCacheRetentionPolicy": {
"PackageUnit": "Items",
"QuantityOfPackagesToKeep": 0,
"QuantityOfVersionsToKeep": 0,
"Strategy": "Default",
"VersionUnit": "Items"
},
"MachineRpcCallRetryPolicy": {
"Enabled": true,
"HealthCheckRetryDuration": "string",
"RetryDuration": "string"
},
"MachineUpdatePolicy": {
"CalamariUpdateBehavior": "UpdateOnDeployment",
"KubernetesAgentUpdateBehavior": "NeverUpdate",
"TentacleUpdateAccountId": "string",
"TentacleUpdateBehavior": "NeverUpdate"
},
"Name": "string",
"PollingRequestQueueTimeout": "string",
"SpaceId": "Spaces-1"
}Modify an existing Machine Policy
PUT /api
Also reachable at /api, /api.
Path Parameters
idstring (required)
The Machine Policy ID.spaceIdstring (required)
The Space ID.
Request Body
ConnectionConnectTimeoutstring
Formatdate-span.ConnectionRetryCountLimitintegerConnectionRetrySleepIntervalstring
Formatdate-span.ConnectionRetryTimeLimitstring
Formatdate-span.DescriptionstringIdstring (required)
The Machine Policy ID.IsDefaultbooleanMachineCleanupPolicyobjectDeleteMachinesBehaviorenum
Allowed values:DoNotDelete,DeleteUnavailableMachines.DeleteMachinesElapsedTimeSpanstring
Formatdate-span.
MachineConnectivityPolicyobjectMachineConnectivityBehaviorenum
Allowed values:ExpectedToBeOnline,MayBeOfflineAndCanBeSkipped.
MachineHealthCheckPolicyobjectBashHealthCheckPolicyobjectHealthCheckCronstringHealthCheckCronTimezonestringHealthCheckIntervalstring
Formatdate-span.HealthCheckTypeenum
Allowed values:RunScript,OnlyConnectivity.PowerShellHealthCheckPolicyobject
MachinePackageCacheRetentionPolicyobjectPackageUnitenum
Allowed values:Items.QuantityOfPackagesToKeepintegerQuantityOfVersionsToKeepintegerStrategyenum
Allowed values:Default,Quantities.VersionUnitenum
Allowed values:Items.
MachineRpcCallRetryPolicyobjectEnabledbooleanHealthCheckRetryDurationstring
Formatdate-span.RetryDurationstring
Formatdate-span.
MachineUpdatePolicyobjectCalamariUpdateBehaviorenum
Allowed values:UpdateOnDeployment,UpdateOnNewMachine,UpdateAlways.KubernetesAgentUpdateBehaviorenum
Allowed values:NeverUpdate,Update,Block.TentacleUpdateAccountIdstringTentacleUpdateBehaviorenum
Allowed values:NeverUpdate,Update.
Namestring (required)
Minimum length 1.PollingRequestQueueTimeoutstring
Formatdate-span.SpaceIdstring (required)
The Space ID.
Response
200 — Confirmation that the Machine Policy was modified, containing the new Policy
ConnectionConnectTimeoutstring
Formatdate-span.ConnectionRetryCountLimitintegerConnectionRetrySleepIntervalstring
Formatdate-span.ConnectionRetryTimeLimitstring
Formatdate-span.DescriptionstringIdstring
Gets or sets a unique identifier for this resource.IsDefaultbooleanLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.MachineCleanupPolicyobjectDeleteMachinesBehaviorenum
Allowed values:DoNotDelete,DeleteUnavailableMachines.DeleteMachinesElapsedTimeSpanstring
Formatdate-span.
MachineConnectivityPolicyobjectMachineConnectivityBehaviorenum
Allowed values:ExpectedToBeOnline,MayBeOfflineAndCanBeSkipped.
MachineHealthCheckPolicyobjectBashHealthCheckPolicyobjectHealthCheckCronstringHealthCheckCronTimezonestringHealthCheckIntervalstring
Formatdate-span.HealthCheckTypeenum
Allowed values:RunScript,OnlyConnectivity.PowerShellHealthCheckPolicyobject
MachinePackageCacheRetentionPolicyobjectPackageUnitenum
Allowed values:Items.QuantityOfPackagesToKeepintegerQuantityOfVersionsToKeepintegerStrategyenum
Allowed values:Default,Quantities.VersionUnitenum
Allowed values:Items.
MachineRpcCallRetryPolicyobjectEnabledbooleanHealthCheckRetryDurationstring
Formatdate-span.RetryDurationstring
Formatdate-span.
MachineUpdatePolicyobjectCalamariUpdateBehaviorenum
Allowed values:UpdateOnDeployment,UpdateOnNewMachine,UpdateAlways.KubernetesAgentUpdateBehaviorenum
Allowed values:NeverUpdate,Update,Block.TentacleUpdateAccountIdstringTentacleUpdateBehaviorenum
Allowed values:NeverUpdate,Update.
NamestringPollingRequestQueueTimeoutstring
Formatdate-span.SpaceIdstring
Example Request
{
"ConnectionConnectTimeout": "string",
"ConnectionRetryCountLimit": 0,
"ConnectionRetrySleepInterval": "string",
"ConnectionRetryTimeLimit": "string",
"Description": "string",
"Id": "MachinePolicies-1",
"IsDefault": true,
"MachineCleanupPolicy": {
"DeleteMachinesBehavior": "DoNotDelete",
"DeleteMachinesElapsedTimeSpan": "string"
},
"MachineConnectivityPolicy": {
"MachineConnectivityBehavior": "ExpectedToBeOnline"
},
"MachineHealthCheckPolicy": {
"BashHealthCheckPolicy": {
"RunType": "InheritFromDefault",
"ScriptBody": "string"
},
"HealthCheckCron": "string",
"HealthCheckCronTimezone": "string",
"HealthCheckInterval": "string",
"HealthCheckType": "RunScript",
"PowerShellHealthCheckPolicy": {
"RunType": "InheritFromDefault",
"ScriptBody": "string"
}
},
"MachinePackageCacheRetentionPolicy": {
"PackageUnit": "Items",
"QuantityOfPackagesToKeep": 0,
"QuantityOfVersionsToKeep": 0,
"Strategy": "Default",
"VersionUnit": "Items"
},
"MachineRpcCallRetryPolicy": {
"Enabled": true,
"HealthCheckRetryDuration": "string",
"RetryDuration": "string"
},
"MachineUpdatePolicy": {
"CalamariUpdateBehavior": "UpdateOnDeployment",
"KubernetesAgentUpdateBehavior": "NeverUpdate",
"TentacleUpdateAccountId": "string",
"TentacleUpdateBehavior": "NeverUpdate"
},
"Name": "string",
"PollingRequestQueueTimeout": "string",
"SpaceId": "Spaces-1"
}Example Response
{
"ConnectionConnectTimeout": "string",
"ConnectionRetryCountLimit": 0,
"ConnectionRetrySleepInterval": "string",
"ConnectionRetryTimeLimit": "string",
"Description": "string",
"Id": "string",
"IsDefault": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"MachineCleanupPolicy": {
"DeleteMachinesBehavior": "DoNotDelete",
"DeleteMachinesElapsedTimeSpan": "string"
},
"MachineConnectivityPolicy": {
"MachineConnectivityBehavior": "ExpectedToBeOnline"
},
"MachineHealthCheckPolicy": {
"BashHealthCheckPolicy": {
"RunType": "InheritFromDefault",
"ScriptBody": "string"
},
"HealthCheckCron": "string",
"HealthCheckCronTimezone": "string",
"HealthCheckInterval": "string",
"HealthCheckType": "RunScript",
"PowerShellHealthCheckPolicy": {
"RunType": "InheritFromDefault",
"ScriptBody": "string"
}
},
"MachinePackageCacheRetentionPolicy": {
"PackageUnit": "Items",
"QuantityOfPackagesToKeep": 0,
"QuantityOfVersionsToKeep": 0,
"Strategy": "Default",
"VersionUnit": "Items"
},
"MachineRpcCallRetryPolicy": {
"Enabled": true,
"HealthCheckRetryDuration": "string",
"RetryDuration": "string"
},
"MachineUpdatePolicy": {
"CalamariUpdateBehavior": "UpdateOnDeployment",
"KubernetesAgentUpdateBehavior": "NeverUpdate",
"TentacleUpdateAccountId": "string",
"TentacleUpdateBehavior": "NeverUpdate"
},
"Name": "string",
"PollingRequestQueueTimeout": "string",
"SpaceId": "Spaces-1"
}Delete the specified Machine Policy
DELETE /api
Also reachable at /api, /api.
Path Parameters
idstring (required)
Id of the Machine Policy to delete.spaceIdstring (required)
The ID of the space containing the resource(s).
Response
200 — Success
Get a paginated list of the machines that belong to the given Machine Policy
GET /api
Also reachable at /api, /api.
Path Parameters
idstring (required)
ID of the Machine Policy.spaceIdstring (required)
The ID of the space containing the resource(s).
Query Parameters
skipinteger
Number of items to skip. Defaults to zero. Minimum0.takeinteger
Number of items to take. Defaults to 10. Minimum0.
Response
200 — A paginated list of the machines that belong to the given Machine Policy
Idstring
Gets or sets a unique identifier for this resource.ItemTypestringItemsarray of objectArchitecturestringEndpointobjectEnvironmentIdsarray of stringHasLatestCalamaribooleanHealthStatusenum
Allowed values:Healthy,Unavailable,Unknown,HasWarnings,Unhealthy.Idstring
Gets or sets a unique identifier for this resource.IsDisabledbooleanIsInProcessbooleanLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.MachinePolicyIdstringNamestringOperatingSystemstringOperatingSystemVersionstringRolesarray of stringShellNamestringShellVersionstringSkipInitialHealthCheckbooleanSlugstringSpaceIdstringStatusSummarystringTenantIdsarray of stringTenantTagsarray of stringTenantedDeploymentParticipationenum
Allowed values:Untenanted,TenantedOrUntenanted,Tenanted.ThumbprintstringUristring
ItemsPerPageintegerLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.LastPageNumberintegerLinksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NumberOfPagesintegerTotalResultsinteger
Example Response
{
"Id": "string",
"ItemType": "string",
"Items": [
{
"Architecture": "string",
"Endpoint": {
"CommunicationStyle": "None",
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {}
},
"EnvironmentIds": [
"Environments-1",
"..."
],
"HasLatestCalamari": true,
"HealthStatus": "Healthy",
"Id": "string",
"IsDisabled": true,
"IsInProcess": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"MachinePolicyId": "string",
"Name": "string",
"OperatingSystem": "string",
"OperatingSystemVersion": "string",
"Roles": [
"string"
],
"ShellName": "string",
"ShellVersion": "string",
"SkipInitialHealthCheck": true,
"Slug": "string",
"SpaceId": "Spaces-1",
"StatusSummary": "string",
"TenantIds": [
"Tenants-1",
"..."
],
"TenantTags": [
"string"
],
"TenantedDeploymentParticipation": "Untenanted",
"Thumbprint": "string",
"Uri": "string"
}
],
"ItemsPerPage": 0,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"LastPageNumber": 0,
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"NumberOfPages": 0,
"TotalResults": 0
}Delete the specified Machine Policy
DELETE /api
Also reachable at /api, /api.
Path Parameters
idstring (required)
Id of the Machine Policy to delete.spaceIdstring (required)
The ID of the space containing the resource(s).
Response
200 — Confirmation that the Machine Policy has been deleted
Example Response
{}Get a paginated list of the workers that belong to the given Machine Policy
GET /api
Also reachable at /api, /api.
Path Parameters
idstring (required)
ID of the Machine Policy.spaceIdstring (required)
The ID of the space containing the resource(s).
Query Parameters
skipinteger
Number of items to skip. Defaults to zero. Minimum0.takeinteger
Number of items to take. Defaults to 10. Minimum0.
Response
200 — A paginated list of the machines that belong to the given Machine Policy
Idstring
Gets or sets a unique identifier for this resource.ItemTypestringItemsarray of objectArchitecturestringEndpointobjectHasLatestCalamaribooleanHealthStatusenum
Allowed values:Healthy,Unavailable,Unknown,HasWarnings,Unhealthy.Idstring
Gets or sets a unique identifier for this resource.IsDisabledbooleanIsInProcessbooleanLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.MachinePolicyIdstringNamestringOperatingSystemstringOperatingSystemVersionstringShellNamestringShellVersionstringSkipInitialHealthCheckbooleanSlugstringSpaceIdstringStatusSummarystringThumbprintstringUristringWorkerPoolIdsarray of string
ItemsPerPageintegerLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.LastPageNumberintegerLinksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NumberOfPagesintegerTotalResultsinteger
Example Response
{
"Id": "string",
"ItemType": "string",
"Items": [
{
"Architecture": "string",
"Endpoint": {
"CommunicationStyle": "None",
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {}
},
"HasLatestCalamari": true,
"HealthStatus": "Healthy",
"Id": "string",
"IsDisabled": true,
"IsInProcess": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"MachinePolicyId": "string",
"Name": "string",
"OperatingSystem": "string",
"OperatingSystemVersion": "string",
"ShellName": "string",
"ShellVersion": "string",
"SkipInitialHealthCheck": true,
"Slug": "string",
"SpaceId": "Spaces-1",
"StatusSummary": "string",
"Thumbprint": "string",
"Uri": "string",
"WorkerPoolIds": [
"WorkerPools-1",
"..."
]
}
],
"ItemsPerPage": 0,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"LastPageNumber": 0,
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"NumberOfPages": 0,
"TotalResults": 0
}